import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T31D extends Component
{

    name='31D'
    desp = "Date and Place of Expiry"
    
    pattern = ""
    tno = -1
    keys=[1,2]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = `${obj.s1}`
        if(temp)
            temp = temp.replace(/\//g,'')
        
        let mval = `${temp}/${obj.s2}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            
           <Col style={{"minWidth":'100px'}} span={5}>
                <FormItem                 
                     label="Date"  
                     required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                            <DatePicker size={InputSize} defaultValue="" format="yyMMdd" value={value.s1} onChange={(date, dateString)=>this.onChange(1,dateString)} />
                </FormItem>
            </Col>
            <Col span={14}>
                <FormItem
                 label="Place"  
                 required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                  validateStatus={errmsg.s2?'error':null}
                >
                        
                        <Input type="text" value={value.s2} onChange={e=>this.onChange(2,e.target.value)}  maxLength={29} style={{imeMode:'disabled'}} placeholder="Narrative"/>
                </FormItem>
            </Col>
        </Row>)
    }
}